package sikd.sikd5.sikd5bean.ws.transaksi;

import java.io.Serializable;
import java.util.Date;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 *
 * @author : agus
 * @tanggal : Jul 31, 2019
 */
@XmlRootElement
@XmlType(name = "dthbelanjaWS", propOrder = {
    "nomorsp2d",
    "tanggalsp2d",
    "nomorspm",
    "tanggalspm",
    "jenissp2d",
    "nilaisp2d",
    "nilaitotalpajak",
    "nilaitotalpotongan",
    "npwpbud",
    "npwpskpd",
    "npwppenerima",
    "namapenerima",
    "kodesumberdana",
    "namasumberdana",
    "tahapsalurdana",
    "keteranganbelanja",
    "kodefungsi",
    "namafungsi",
    "kodeurusanprogram",
    "namaurusanprogram",
    "kodeurusanpelaksana",
    "namaurusanpelaksana",
    "kodeskpd",
    "namaskpd",
    "kodeunitskpd",
    "namaunitskpd",
    "kodeprogram",
    "namaprogram",
    "kodekegiatan",
    "namakegiatan",
    "kodeakunutama",
    "namaakunutama",
    "kodeakunkelompok",
    "namaakunkelompok",
    "kodeakunjenis",
    "namaakunjenis",
    "kodeakunobjek",
    "namaakunobjek",
    "kodeakunrinci",
    "namaakunrinci",
    "kodeakunsubrinci",
    "namaakunsubrinci",
    "kodeakunsubsubrinci",
    "namaakunsubsubrinci",
    "nilaibelanja",
    "catatan"
})
public class Dthbelanja_WS implements Serializable{

    private String nomorsp2d;
    private Date tanggalsp2d;
    private String nomorspm;
    private Date tanggalspm;
    private short jenissp2d;
    private Double nilaisp2d;
    private Double nilaitotalpajak;
    private Double nilaitotalpotongan;
    private String npwpbud;
    private String npwpskpd;
    private String npwppenerima;
    private String namapenerima;
    private String kodesumberdana;
    private String namasumberdana;
    private short tahapsalurdana;
    private String keteranganbelanja;
    private String kodefungsi;
    private String namafungsi;
    private String kodeurusanprogram;
    private String namaurusanprogram;
    private String kodeurusanpelaksana;
    private String namaurusanpelaksana;
    private String kodeskpd;
    private String namaskpd;
    private String kodeunitskpd;
    private String namaunitskpd;
    private String kodeprogram;
    private String namaprogram;
    private String kodekegiatan;
    private String namakegiatan;
    private String kodeakunutama;
    private String namaakunutama;
    private String kodeakunkelompok;
    private String namaakunkelompok;
    private String kodeakunjenis;
    private String namaakunjenis;
    private String kodeakunobjek;
    private String namaakunobjek;
    private String kodeakunrinci;
    private String namaakunrinci;
    private String kodeakunsubrinci;
    private String namaakunsubrinci;
    private String kodeakunsubsubrinci;
    private String namaakunsubsubrinci;
    private Double nilaibelanja;
    private String catatan;

    public Dthbelanja_WS() {
    }

    public Dthbelanja_WS(String nomorsp2d, Date tanggalsp2d, String nomorspm, Date tanggalspm, short jenissp2d, Double nilaisp2d, Double nilaitotalpajak, Double nilaitotalpotongan, String npwpbud, String npwpskpd, String npwppenerima, String namapenerima, String kodesumberdana, String namasumberdana, short tahapsalurdana, String keteranganbelanja, String kodefungsi, String namafungsi, String kodeurusanprogram, String namaurusanprogram, String kodeurusanpelaksana, String namaurusanpelaksana, String kodeskpd, String namaskpd, String kodeunitskpd, String namaunitskpd, String kodeprogram, String namaprogram, String kodekegiatan, String namakegiatan, String kodeakunutama, String namaakunutama, String kodeakunkelompok, String namaakunkelompok, String kodeakunjenis, String namaakunjenis, String kodeakunobjek, String namaakunobjek, String kodeakunrinci, String namaakunrinci, String kodeakunsubrinci, String namaakunsubrinci, String kodeakunsubsubrinci, String namaakunsubsubrinci, Double nilaibelanja, String catatan) {
        this.nomorsp2d = nomorsp2d;
        this.tanggalsp2d = tanggalsp2d;
        this.nomorspm = nomorspm;
        this.tanggalspm = tanggalspm;
        this.jenissp2d = jenissp2d;
        this.nilaisp2d = nilaisp2d;
        this.nilaitotalpajak = nilaitotalpajak;
        this.nilaitotalpotongan = nilaitotalpotongan;
        this.npwpbud = npwpbud;
        this.npwpskpd = npwpskpd;
        this.npwppenerima = npwppenerima;
        this.namapenerima = namapenerima;
        this.kodesumberdana = kodesumberdana;
        this.namasumberdana = namasumberdana;
        this.tahapsalurdana = tahapsalurdana;
        this.keteranganbelanja = keteranganbelanja;
        this.kodefungsi = kodefungsi;
        this.namafungsi = namafungsi;
        this.kodeurusanprogram = kodeurusanprogram;
        this.namaurusanprogram = namaurusanprogram;
        this.kodeurusanpelaksana = kodeurusanpelaksana;
        this.namaurusanpelaksana = namaurusanpelaksana;
        this.kodeskpd = kodeskpd;
        this.namaskpd = namaskpd;
        this.kodeunitskpd = kodeunitskpd;
        this.namaunitskpd = namaunitskpd;
        this.kodeprogram = kodeprogram;
        this.namaprogram = namaprogram;
        this.kodekegiatan = kodekegiatan;
        this.namakegiatan = namakegiatan;
        this.kodeakunutama = kodeakunutama;
        this.namaakunutama = namaakunutama;
        this.kodeakunkelompok = kodeakunkelompok;
        this.namaakunkelompok = namaakunkelompok;
        this.kodeakunjenis = kodeakunjenis;
        this.namaakunjenis = namaakunjenis;
        this.kodeakunobjek = kodeakunobjek;
        this.namaakunobjek = namaakunobjek;
        this.kodeakunrinci = kodeakunrinci;
        this.namaakunrinci = namaakunrinci;
        this.kodeakunsubrinci = kodeakunsubrinci;
        this.namaakunsubrinci = namaakunsubrinci;
        this.kodeakunsubsubrinci = kodeakunsubsubrinci;
        this.namaakunsubsubrinci = namaakunsubsubrinci;
        this.nilaibelanja = nilaibelanja;
        this.catatan = catatan;
    }

    public String getCatatan() {
        return catatan;
    }

    public void setCatatan(String catatan) {
        this.catatan = catatan;
    }

    public String getNomorsp2d() {
        return nomorsp2d;
    }

    public void setNomorsp2d(String nomorsp2d) {
        this.nomorsp2d = nomorsp2d;
    }

    public Date getTanggalsp2d() {
        return tanggalsp2d;
    }

    public void setTanggalsp2d(Date tanggalsp2d) {
        this.tanggalsp2d = tanggalsp2d;
    }

    public String getNomorspm() {
        return nomorspm;
    }

    public void setNomorspm(String nomorspm) {
        this.nomorspm = nomorspm;
    }

    public Date getTanggalspm() {
        return tanggalspm;
    }

    public void setTanggalspm(Date tanggalspm) {
        this.tanggalspm = tanggalspm;
    }

    public short getJenissp2d() {
        return jenissp2d;
    }

    public void setJenissp2d(short jenissp2d) {
        this.jenissp2d = jenissp2d;
    }

    public Double getNilaisp2d() {
        return nilaisp2d;
    }

    public void setNilaisp2d(Double nilaisp2d) {
        this.nilaisp2d = nilaisp2d;
    }

    public Double getNilaitotalpajak() {
        return nilaitotalpajak;
    }

    public void setNilaitotalpajak(Double nilaitotalpajak) {
        this.nilaitotalpajak = nilaitotalpajak;
    }

    public Double getNilaitotalpotongan() {
        return nilaitotalpotongan;
    }

    public void setNilaitotalpotongan(Double nilaitotalpotongan) {
        this.nilaitotalpotongan = nilaitotalpotongan;
    }

    public String getNpwpbud() {
        return npwpbud;
    }

    public void setNpwpbud(String npwpbud) {
        this.npwpbud = npwpbud;
    }

    public String getNpwpskpd() {
        return npwpskpd;
    }

    public void setNpwpskpd(String npwpskpd) {
        this.npwpskpd = npwpskpd;
    }

    public String getNpwppenerima() {
        return npwppenerima;
    }

    public void setNpwppenerima(String npwppenerima) {
        this.npwppenerima = npwppenerima;
    }

    public String getNamapenerima() {
        return namapenerima;
    }

    public void setNamapenerima(String namapenerima) {
        this.namapenerima = namapenerima;
    }

    public String getKodesumberdana() {
        return kodesumberdana;
    }

    public void setKodesumberdana(String kodesumberdana) {
        this.kodesumberdana = kodesumberdana;
    }

    public String getNamasumberdana() {
        return namasumberdana;
    }

    public void setNamasumberdana(String namasumberdana) {
        this.namasumberdana = namasumberdana;
    }

    public short getTahapsalurdana() {
        return tahapsalurdana;
    }

    public void setTahapsalurdana(short tahapsalurdana) {
        this.tahapsalurdana = tahapsalurdana;
    }

    public String getKeteranganbelanja() {
        return keteranganbelanja;
    }

    public void setKeteranganbelanja(String keteranganbelanja) {
        this.keteranganbelanja = keteranganbelanja;
    }

    public String getKodefungsi() {
        return kodefungsi;
    }

    public void setKodefungsi(String kodefungsi) {
        this.kodefungsi = kodefungsi;
    }

    public String getNamafungsi() {
        return namafungsi;
    }

    public void setNamafungsi(String namafungsi) {
        this.namafungsi = namafungsi;
    }

    public String getKodeurusanprogram() {
        return kodeurusanprogram;
    }

    public void setKodeurusanprogram(String kodeurusanprogram) {
        this.kodeurusanprogram = kodeurusanprogram;
    }

    public String getNamaurusanprogram() {
        return namaurusanprogram;
    }

    public void setNamaurusanprogram(String namaurusanprogram) {
        this.namaurusanprogram = namaurusanprogram;
    }

    public String getKodeurusanpelaksana() {
        return kodeurusanpelaksana;
    }

    public void setKodeurusanpelaksana(String kodeurusanpelaksana) {
        this.kodeurusanpelaksana = kodeurusanpelaksana;
    }

    public String getNamaurusanpelaksana() {
        return namaurusanpelaksana;
    }

    public void setNamaurusanpelaksana(String namaurusanpelaksana) {
        this.namaurusanpelaksana = namaurusanpelaksana;
    }

    public String getKodeskpd() {
        return kodeskpd;
    }

    public void setKodeskpd(String kodeskpd) {
        this.kodeskpd = kodeskpd;
    }

    public String getNamaskpd() {
        return namaskpd;
    }

    public void setNamaskpd(String namaskpd) {
        this.namaskpd = namaskpd;
    }

    public String getKodeunitskpd() {
        return kodeunitskpd;
    }

    public void setKodeunitskpd(String kodeunitskpd) {
        this.kodeunitskpd = kodeunitskpd;
    }

    public String getNamaunitskpd() {
        return namaunitskpd;
    }

    public void setNamaunitskpd(String namaunitskpd) {
        this.namaunitskpd = namaunitskpd;
    }

    public String getKodeprogram() {
        return kodeprogram;
    }

    public void setKodeprogram(String kodeprogram) {
        this.kodeprogram = kodeprogram;
    }

    public String getNamaprogram() {
        return namaprogram;
    }

    public void setNamaprogram(String namaprogram) {
        this.namaprogram = namaprogram;
    }

    public String getKodekegiatan() {
        return kodekegiatan;
    }

    public void setKodekegiatan(String kodekegiatan) {
        this.kodekegiatan = kodekegiatan;
    }

    public String getNamakegiatan() {
        return namakegiatan;
    }

    public void setNamakegiatan(String namakegiatan) {
        this.namakegiatan = namakegiatan;
    }

    public String getKodeakunutama() {
        return kodeakunutama;
    }

    public void setKodeakunutama(String kodeakunutama) {
        this.kodeakunutama = kodeakunutama;
    }

    public String getNamaakunutama() {
        return namaakunutama;
    }

    public void setNamaakunutama(String namaakunutama) {
        this.namaakunutama = namaakunutama;
    }

    public String getKodeakunkelompok() {
        return kodeakunkelompok;
    }

    public void setKodeakunkelompok(String kodeakunkelompok) {
        this.kodeakunkelompok = kodeakunkelompok;
    }

    public String getNamaakunkelompok() {
        return namaakunkelompok;
    }

    public void setNamaakunkelompok(String namaakunkelompok) {
        this.namaakunkelompok = namaakunkelompok;
    }

    public String getKodeakunjenis() {
        return kodeakunjenis;
    }

    public void setKodeakunjenis(String kodeakunjenis) {
        this.kodeakunjenis = kodeakunjenis;
    }

    public String getNamaakunjenis() {
        return namaakunjenis;
    }

    public void setNamaakunjenis(String namaakunjenis) {
        this.namaakunjenis = namaakunjenis;
    }

    public String getKodeakunobjek() {
        return kodeakunobjek;
    }

    public void setKodeakunobjek(String kodeakunobjek) {
        this.kodeakunobjek = kodeakunobjek;
    }

    public String getNamaakunobjek() {
        return namaakunobjek;
    }

    public void setNamaakunobjek(String namaakunobjek) {
        this.namaakunobjek = namaakunobjek;
    }

    public String getKodeakunrinci() {
        return kodeakunrinci;
    }

    public void setKodeakunrinci(String kodeakunrinci) {
        this.kodeakunrinci = kodeakunrinci;
    }

    public String getNamaakunrinci() {
        return namaakunrinci;
    }

    public void setNamaakunrinci(String namaakunrinci) {
        this.namaakunrinci = namaakunrinci;
    }

    public String getKodeakunsubrinci() {
        return kodeakunsubrinci;
    }

    public void setKodeakunsubrinci(String kodeakunsubrinci) {
        this.kodeakunsubrinci = kodeakunsubrinci;
    }

    public String getNamaakunsubrinci() {
        return namaakunsubrinci;
    }

    public void setNamaakunsubrinci(String namaakunsubrinci) {
        this.namaakunsubrinci = namaakunsubrinci;
    }

    public String getKodeakunsubsubrinci() {
        return kodeakunsubsubrinci;
    }

    public void setKodeakunsubsubrinci(String kodeakunsubsubrinci) {
        this.kodeakunsubsubrinci = kodeakunsubsubrinci;
    }

    public String getNamaakunsubsubrinci() {
        return namaakunsubsubrinci;
    }

    public void setNamaakunsubsubrinci(String namaakunsubsubrinci) {
        this.namaakunsubsubrinci = namaakunsubsubrinci;
    }

    public Double getNilaibelanja() {
        return nilaibelanja;
    }

    public void setNilaibelanja(Double nilaibelanja) {
        this.nilaibelanja = nilaibelanja;
    }

}
